
QGIS Application - Bug report #13444

Very large QGIS project memory usage

2015-09-28 02:41 PM - Bruce Steedman

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21491

Description

A project I am using is currently using upwards of 5GB RAM (nearly 7GB to load). With my system's 4GB RAM this makes QGIS near

unusably slow and I assume that this cannot be normal, given the relatively modest size of the project.

QGIS uses < 200MB alone (no project loaded) so I deduce that the usage is project related. My project (1.8 MB) is attached. It uses

vector layer .json files defined in a LAYERS folder (741 MB) here: 

https://www.dropbox.com/sh/gyitunc7uymcv87/AADCGlSDYzhZbLq9Ey-iTQ-Ua?dl=0

It also uses a PostGIS layer 'planning apps' from an AWS-hosted server in a group called PLANNING APPS.

My configuration is as follows:

Hardware: MacBook Air, 2.13 GHz Intel Core 2 Duo CPU, 4GB RAM

OS: Mac OS X 10.10.5

QGIS: 2.10 KyngChaos build, installed via Homebrew Cask (no 3rd party plugins)

QGIS version    2.10.1-Pisa    QGIS code revision

Compiled against Qt    4.8.6    Running against Qt

Compiled against GDAL/OGR    1.11.2    Running against GDAL/OGR

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS

PostgreSQL Client Version    9.4.4    SpatiaLite Version

QWT Version    6.0.2    PROJ.4 Version

QScintilla2 Version    2.9

Any help with this would be very much appreciated, as I cannot use QGIS with this level of memory usage.

History

#1 - 2015-10-14 11:28 AM - Saber Razmjooei

- Status changed from Open to Feedback

It is worth looking into a vector file format which supports spatial indexing (e.g. Spatialite).

The following 2 layers Gazetteer and Coastline json layers took up 1.1 GB of RAM when zooming and panning. With Spatialite, it was down to 110 MB!

#2 - 2015-10-30 01:25 AM - Bruce Steedman

- Status changed from Feedback to Closed
https://www.dropbox.com/sh/gyitunc7uymcv87/AADCGlSDYzhZbLq9Ey-iTQ-Ua?dl=0


Many thanks for your answer Saber. I've now used ogr2ogr to convert the data to PostgreSQL database records and the problem is solved.
